%define url_ver		%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define major		2
%define gir_major	0.10
%define libname		%mklibname gexiv2_ %{major}
%define develname	%mklibname gexiv2 -d
%define gir_name	%mklibname gexiv2-gir %{gir_major}

Summary:	A GObject-based wrapper around the Exiv2 library
Name:		libgexiv2
Version:	0.14.2
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
Url:		https://wiki.gnome.org/Projects/gexiv2
Source0:	https://download.gnome.org/sources/gexiv2/%{url_ver}/gexiv2-%{version}.tar.xz
BuildRequires:	gtk-doc
BuildRequires:	meson
BuildRequires:	sed
BuildRequires:	pkgconfig(exiv2) >= 0.21
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-gobject3
BuildRequires:	pkgconfig(gobject-introspection-1.0)

%description
gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes
the basic features of Exiv2 available to GNOME applications.

%package -n %{libname}
Summary:	A GObject-based wrapper around the Exiv2 library
Group:		System/Libraries

%description -n %{libname}
gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes
the basic features of Exiv2 available to GNOME applications.

%package -n %{develname}
Group:		Development/Libraries
Summary:	A GObject-based wrapper around the Exiv2 library
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes
the basic features of Exiv2 available to GNOME applications.

%package -n	python3-gexiv2
Summary:	Python3 bindings for %{name}
Group:		Development/Python
BuildArch:	noarch
Requires:	python3-gobject3

%description -n	python3-gexiv2
This package contains the python3 bindings for %{name}.

%prep
%setup -q -n gexiv2-%{version}
%autopatch -p1

%build
%meson -Dgtk_doc=false
%meson_build

%install
%meson_install


%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}
%{_libdir}/girepository-1.0/GExiv2-0.10.typelib

%files -n %{develname}
%{_includedir}/gexiv2
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/vala/vapi/gexiv2.deps
%{_datadir}/vala/vapi/gexiv2.vapi
%{_datadir}/gir-1.0/*-%{gir_major}.gir

%files -n python3-gexiv2
%{python3_sitelib}/gi/overrides/GExiv2.py
%{_prefix}/lib/python3.10/site-packages/gi/overrides/__pycache__/GExiv2.cpython-310.pyc


%changelog
* Mon Sep 04 2023 tex - 0.14.2-1pclos2023
- new version: 0.14.2
